### Struct

# Fwupd JsonArray

#### Description [src]

    struct FwupdJsonArray {
      /* No available fields */
    }

A JSON array.

See also: `FwupdJsonObject` `FwupdJsonNode`.

#### Functions

###### fwupd_json_array_new

Creates a new JSON array.

since: 2.1.1

#### Instance methods

###### fwupd_json_array_add_array

Adds a different array to a JSON array.

since: 2.1.1

###### fwupd_json_array_add_bytes

Adds bytes to a JSON array. They will be base64 encoded as a string.

since: 2.1.1

###### fwupd_json_array_add_node

Adds a node to a JSON array.

since: 2.1.1

###### fwupd_json_array_add_object

Adds an object to a JSON array.

since: 2.1.1

###### fwupd_json_array_add_raw

Adds a raw value to a JSON array.

since: 2.1.1

###### fwupd_json_array_add_string

Adds a string to a JSON array.

since: 2.1.1

###### fwupd_json_array_get_array

Gets another array from a JSON array.

since: 2.1.1

###### fwupd_json_array_get_node

Gets a node from a JSON array.

since: 2.1.1

###### fwupd_json_array_get_object

Gets an object from a JSON array.

since: 2.1.1

###### fwupd_json_array_get_raw

Gets a raw value from a JSON array.

since: 2.1.1

###### fwupd_json_array_get_size

Gets the size of the JSON array.

since: 2.1.1

###### fwupd_json_array_get_string

Gets a string from a JSON array.

since: 2.1.1

###### fwupd_json_array_ref

Increases the reference count of a JSON array.

since: 2.1.1

###### fwupd_json_array_to_string

Converts the JSON array to a string representation.

since: 2.1.1

###### fwupd_json_array_unref

Decreases the reference count of a JSON array.

since: 2.1.1